package com.pravera.activity_rec_flutter.utils

import android.content.Context

class SharedPreferenceManager(context: Context) {

    private val prefs = context.getSharedPreferences("FlutterSharedPreferences", Context.MODE_PRIVATE)
    private val mPrefix = "flutter."


    fun getString(key: String, defaultValue: String?): String? {
        return prefs.getString(mPrefix+key, defaultValue)
    }

    fun putString(key: String, value: String) {
        prefs.edit().putString(mPrefix+key, value).apply()
    }

    fun getInt(key: String, defaultValue: Int): Int {
        return prefs.getInt(mPrefix+key, defaultValue)
    }

    fun putInt(key: String, value: Int) {
        prefs.edit().putInt(mPrefix+key, value).apply()
    }
    fun getLong(key: String, defaultValue: Long): Long {
        return prefs.getLong(mPrefix+key, defaultValue)
    }

    fun putLong(key: String, value: Long) {
        prefs.edit().putLong(mPrefix+key, value).apply()
    }

    fun getBoolean(key: String, defaultValue: Boolean): Boolean {
        return prefs.getBoolean(mPrefix+key, defaultValue)
    }

    fun putBoolean(key: String, value: Boolean) {
        prefs.edit().putBoolean(mPrefix+key, value).apply()
    }

    // Add more methods for other data types as needed
}
